<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <form action="">
        <fieldset>
            <label for="fn">FirstName:</label>
            <input type="text" id="fn">
            <label for="sn">SecondName:</label>
            <input type="text" id="sn">
        </fieldset>
        <fieldset>
            <label for="mail">Email</label>
            <input type="text" id="mail">

            <label for="num">Phone number</label>
            <input type="text" id="num"><br>
            <p>gender :
              <input type="radio" id="male" name="size"  value="Male">
              <label for="male">male</label>
              <input type="radio" id="female" name="size"  value="female">
              <label for="female">Female</label></p><br>
        </fieldset>
        <fieldset>
            <button type="button" onclick="result()">Result</button>

        </fieldset>

    </form>
    <p id="demo"></p>
    <script>
        function result() {
            const person={ gender: document.getElementById("gender()").value};
            // const person = {
            //     firstname: document.getElementById("fn").value,
            //     secondname: document.getElementById("sn").value,
            //     mail: document.getElementById("mail").value,
            //     number: document.getElementById("num").value,
            //     gender: document.getElementById("gender()").value,
            //     state: document.getElementById("stat").value,
            //     subcribe: document.getElementById("sub").value,
            //     pass: document.getElementById("pw").value,
            //     ConPW: document.getElementById("con").value,
            // };

            document.getElementById("demo").innerHTML = person.gender;
            function gender(){
                const radioButtons = document.querySelectorAll('input[name="size"]');
            let selectedSize;
            for (const radioButton of radioButtons) {
                if (radioButton.checked) {
                    selectedSize = radioButton.value;
                    alert(selectedSize);
                    // return selectedSize;
                }
            }
            }
        }
    </script>
</body>

</html>